Index: trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/FirstOrderMarkovModel.java
===================================================================
--- trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/FirstOrderMarkovModel.java	(revision 80)
+++ trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/FirstOrderMarkovModel.java	(revision 86)
@@ -16,4 +16,9 @@
 public class FirstOrderMarkovModel extends HighOrderMarkovModel implements IDotCompatible {
 
+	/**
+	 * Id for object serialization.
+	 */
+	private static final long serialVersionUID = 1L;
+	
 	final static int MAX_STATDIST_ITERATIONS = 1000;
 	
Index: trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/HighOrderMarkovModel.java
===================================================================
--- trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/HighOrderMarkovModel.java	(revision 80)
+++ trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/HighOrderMarkovModel.java	(revision 86)
@@ -9,4 +9,9 @@
 public class HighOrderMarkovModel extends TrieBasedModel {
 	
+	/**
+	 * Id for object serialization.
+	 */
+	private static final long serialVersionUID = 1L;
+
 	public HighOrderMarkovModel(int maxOrder, Random r) {
 		super(maxOrder, r);
Index: trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/IStochasticProcess.java
===================================================================
--- trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/IStochasticProcess.java	(revision 80)
+++ trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/IStochasticProcess.java	(revision 86)
@@ -1,4 +1,5 @@
 package de.ugoe.cs.eventbench.models;
 
+import java.io.Serializable;
 import java.util.List;
 import java.util.Set;
@@ -6,5 +7,5 @@
 import de.ugoe.cs.eventbench.data.Event;
 
-public interface IStochasticProcess {
+public interface IStochasticProcess extends Serializable {
 	
 	double getProbability(List<Event<?>> context, Event<?> symbol);
Index: trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/PredictionByPartialMatch.java
===================================================================
--- trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/PredictionByPartialMatch.java	(revision 80)
+++ trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/PredictionByPartialMatch.java	(revision 86)
@@ -8,4 +8,9 @@
 
 public class PredictionByPartialMatch extends TrieBasedModel {
+	
+	/**
+	 * Id for object serialization.
+	 */
+	private static final long serialVersionUID = 1L;
 	
 	double probEscape;
Index: trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/Trie.java
===================================================================
--- trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/Trie.java	(revision 80)
+++ trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/Trie.java	(revision 86)
@@ -1,4 +1,5 @@
 package de.ugoe.cs.eventbench.models;
 
+import java.io.Serializable;
 import java.util.LinkedHashSet;
 import java.util.LinkedList;
@@ -11,6 +12,11 @@
 import edu.uci.ics.jung.graph.Tree;
 
-public class Trie<T> implements IDotCompatible {
+public class Trie<T> implements IDotCompatible, Serializable {
 	
+	/**
+	 * Id for object serialization.
+	 */
+	private static final long serialVersionUID = 1L;
+
 	private Set<T> knownSymbols;
 	
Index: trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/TrieBasedModel.java
===================================================================
--- trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/TrieBasedModel.java	(revision 80)
+++ trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/TrieBasedModel.java	(revision 86)
@@ -12,4 +12,9 @@
 
 public abstract class TrieBasedModel implements IStochasticProcess {
+
+	/**
+	 * Id for object serialization.
+	 */
+	private static final long serialVersionUID = 1L;
 
 	protected int trieOrder;
Index: trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/TrieNode.java
===================================================================
--- trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/TrieNode.java	(revision 80)
+++ trunk/EventBenchCore/src/de/ugoe/cs/eventbench/models/TrieNode.java	(revision 86)
@@ -1,4 +1,5 @@
 package de.ugoe.cs.eventbench.models;
 
+import java.io.Serializable;
 import java.security.InvalidParameterException;
 import java.util.LinkedList;
@@ -11,5 +12,10 @@
 
 
-class TrieNode<T> {
+class TrieNode<T> implements Serializable {
+	
+	/**
+	 * Id for object serialization.
+	 */
+	private static final long serialVersionUID = 1L;
 	
 	private int count;