Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/AbstractTemporalRelationshipTC.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/AbstractTemporalRelationshipTC.java	(revision 445)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/AbstractTemporalRelationshipTC.java	(revision 452)
@@ -14,6 +14,7 @@
 import org.junit.Before;
 
+import de.ugoe.cs.quest.eventcore.guimodel.GUIElement;
+import de.ugoe.cs.quest.eventcore.userinteraction.Interaction;
 import de.ugoe.cs.quest.tasktrees.nodeequality.NodeEqualityRuleManager;
-import de.ugoe.cs.quest.tasktrees.temporalrelation.TemporalRelationshipRuleManager;
 import de.ugoe.cs.quest.tasktrees.testutils.SimpleLogFormatter;
 import de.ugoe.cs.quest.tasktrees.testutils.Utilities;
@@ -25,6 +26,4 @@
 import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeBuilderImpl;
 import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNodeFactoryImpl;
-import de.ugoe.cs.tasktree.guimodel.GUIElement;
-import de.ugoe.cs.tasktree.userinteraction.Interaction;
 
 //-------------------------------------------------------------------------------------------------
Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultGUIElementSequenceDetectionRuleTest.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultGUIElementSequenceDetectionRuleTest.java	(revision 445)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultGUIElementSequenceDetectionRuleTest.java	(revision 452)
@@ -11,9 +11,9 @@
 import org.junit.Test;
 
+import de.ugoe.cs.quest.eventcore.guimodel.GUIElement;
+import de.ugoe.cs.quest.eventcore.userinteraction.Interaction;
 import de.ugoe.cs.quest.tasktrees.testutils.DummyGUIElement;
 import de.ugoe.cs.quest.tasktrees.testutils.DummyInteraction;
 import de.ugoe.cs.quest.tasktrees.testutils.TaskTreeChecker;
-import de.ugoe.cs.tasktree.guimodel.GUIElement;
-import de.ugoe.cs.tasktree.userinteraction.Interaction;
 
 //-------------------------------------------------------------------------------------------------
Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultIterationDetectionRuleTest.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultIterationDetectionRuleTest.java	(revision 445)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultIterationDetectionRuleTest.java	(revision 452)
@@ -10,9 +10,9 @@
 import org.junit.Test;
 
+import de.ugoe.cs.quest.eventcore.guimodel.GUIElement;
+import de.ugoe.cs.quest.eventcore.userinteraction.Interaction;
 import de.ugoe.cs.quest.tasktrees.testutils.DummyGUIElement;
 import de.ugoe.cs.quest.tasktrees.testutils.DummyInteraction;
 import de.ugoe.cs.quest.tasktrees.testutils.TaskTreeChecker;
-import de.ugoe.cs.tasktree.guimodel.GUIElement;
-import de.ugoe.cs.tasktree.userinteraction.Interaction;
 
 //-------------------------------------------------------------------------------------------------
Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultMouseClickReductionRuleTest.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultMouseClickReductionRuleTest.java	(revision 445)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultMouseClickReductionRuleTest.java	(revision 452)
@@ -11,12 +11,12 @@
 import org.junit.Test;
 
+import de.ugoe.cs.quest.eventcore.guimodel.GUIElement;
+import de.ugoe.cs.quest.eventcore.userinteraction.MouseButtonDown;
+import de.ugoe.cs.quest.eventcore.userinteraction.MouseButtonInteraction;
+import de.ugoe.cs.quest.eventcore.userinteraction.MouseButtonUp;
+import de.ugoe.cs.quest.eventcore.userinteraction.MouseClick;
 import de.ugoe.cs.quest.tasktrees.testutils.DummyGUIElement;
 import de.ugoe.cs.quest.tasktrees.testutils.DummyInteraction;
 import de.ugoe.cs.quest.tasktrees.testutils.TaskTreeChecker;
-import de.ugoe.cs.tasktree.guimodel.GUIElement;
-import de.ugoe.cs.tasktree.userinteraction.MouseButtonDown;
-import de.ugoe.cs.tasktree.userinteraction.MouseButtonInteraction;
-import de.ugoe.cs.tasktree.userinteraction.MouseButtonUp;
-import de.ugoe.cs.tasktree.userinteraction.MouseClick;
 
 //-------------------------------------------------------------------------------------------------
Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultTextInputReductionRuleTest.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultTextInputReductionRuleTest.java	(revision 445)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultTextInputReductionRuleTest.java	(revision 452)
@@ -10,11 +10,11 @@
 import org.junit.Test;
 
+import de.ugoe.cs.quest.eventcore.guimodel.GUIElement;
+import de.ugoe.cs.quest.eventcore.guimodel.TextField;
+import de.ugoe.cs.quest.eventcore.userinteraction.KeyPressed;
+import de.ugoe.cs.quest.eventcore.userinteraction.KeyReleased;
 import de.ugoe.cs.quest.tasktrees.testutils.DummyGUIElement;
 import de.ugoe.cs.quest.tasktrees.testutils.TaskTreeChecker;
-import de.ugoe.cs.tasktree.guimodel.GUIElement;
-import de.ugoe.cs.tasktree.guimodel.TextField;
 import de.ugoe.cs.tasktree.keyboardmaps.VirtualKey;
-import de.ugoe.cs.tasktree.userinteraction.KeyPressed;
-import de.ugoe.cs.tasktree.userinteraction.KeyReleased;
 
 //-------------------------------------------------------------------------------------------------
Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/TrackBarSelectionDetectionRuleTest.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/TrackBarSelectionDetectionRuleTest.java	(revision 445)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/TrackBarSelectionDetectionRuleTest.java	(revision 452)
@@ -10,10 +10,10 @@
 import org.junit.Test;
 
+import de.ugoe.cs.quest.eventcore.guimodel.GUIElement;
+import de.ugoe.cs.quest.eventcore.guimodel.TrackBar;
+import de.ugoe.cs.quest.eventcore.userinteraction.ValueSelection;
 import de.ugoe.cs.quest.tasktrees.testutils.DummyGUIElement;
 import de.ugoe.cs.quest.tasktrees.testutils.DummyInteraction;
 import de.ugoe.cs.quest.tasktrees.testutils.TaskTreeChecker;
-import de.ugoe.cs.tasktree.guimodel.GUIElement;
-import de.ugoe.cs.tasktree.guimodel.TrackBar;
-import de.ugoe.cs.tasktree.userinteraction.ValueSelection;
 
 //-------------------------------------------------------------------------------------------------