Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultGUIElementSequenceDetectionRuleTest.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultGUIElementSequenceDetectionRuleTest.java	(revision 452)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultGUIElementSequenceDetectionRuleTest.java	(revision 468)
@@ -37,8 +37,8 @@
     simulateInteraction(new DummyGUIElement("elem1"), new DummyInteraction("bla", 1));
     
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence {" +
        "  Interaction bla {}" +
-       "}", getTaskTree().getTaskMap());
+       "}", getTaskTree());
   }
   
@@ -58,5 +58,5 @@
     simulateInteraction(element, new DummyInteraction("bla", 1));
     
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence {" +
        "  Interaction bla {}" +
@@ -65,5 +65,5 @@
        "  Interaction blu {}" +
        "  Interaction bla {}" +
-       "}", getTaskTree().getTaskMap());
+       "}", getTaskTree());
   }
   
@@ -89,5 +89,5 @@
     simulateInteraction(element6, new DummyInteraction("bla", 1));
 
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  Sequence sequence1 {" +
@@ -109,5 +109,5 @@
        "    Interaction bla {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());
+       "}", getTaskTree());
   }
 
@@ -142,5 +142,5 @@
     simulateInteraction(element6, new DummyInteraction("blo", 1));
     
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  Sequence sequence1 {" +
@@ -171,5 +171,5 @@
        "    Interaction blo {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());
+       "}", getTaskTree());
   }
 
@@ -205,5 +205,5 @@
     simulateInteraction(element1, interaction1);
    
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  Sequence sequence1 {" +
@@ -226,5 +226,5 @@
        "    Interaction bla {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
   }
Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultIterationDetectionRuleTest.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultIterationDetectionRuleTest.java	(revision 452)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultIterationDetectionRuleTest.java	(revision 468)
@@ -38,24 +38,24 @@
     Interaction interaction1 = new DummyInteraction("bla", 1);
     simulateInteraction(element1, interaction1);
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence1 {" +
        "  Interaction bla {}" +
-       "}", getTaskTree().getTaskMap());    
-
-    simulateInteraction(element1, interaction1);
-    new TaskTreeChecker().assertTaskMap
-      ("Sequence sequence1 {" +
-       "  Iteration iteration1 {" +
-       "    Interaction bla {}" +
-       "  }" +
-       "}", getTaskTree().getTaskMap());    
-
-    simulateInteraction(element1, interaction1);
-    new TaskTreeChecker().assertTaskMap
-      ("Sequence sequence1 {" +
-       "  Iteration iteration1 {" +
-       "    Interaction bla {}" +
-       "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
+
+    simulateInteraction(element1, interaction1);
+    new TaskTreeChecker().assertTaskTree
+      ("Sequence sequence1 {" +
+       "  Iteration iteration1 {" +
+       "    Interaction bla {}" +
+       "  }" +
+       "}", getTaskTree());    
+
+    simulateInteraction(element1, interaction1);
+    new TaskTreeChecker().assertTaskTree
+      ("Sequence sequence1 {" +
+       "  Iteration iteration1 {" +
+       "    Interaction bla {}" +
+       "  }" +
+       "}", getTaskTree());    
 
     for (int i = 0; i < 10; i++)
@@ -64,10 +64,10 @@
     }
     
-    new TaskTreeChecker().assertTaskMap
-      ("Sequence sequence1 {" +
-       "  Iteration iteration1 {" +
-       "    Interaction bla {}" +
-       "  }" +
-       "}", getTaskTree().getTaskMap());    
+    new TaskTreeChecker().assertTaskTree
+      ("Sequence sequence1 {" +
+       "  Iteration iteration1 {" +
+       "    Interaction bla {}" +
+       "  }" +
+       "}", getTaskTree());    
     
     // now test with preceding and trailing other interactions
@@ -84,5 +84,5 @@
     simulateInteraction(element1, interaction2);
     
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence1 {" +
        "  Iteration iteration1 {" +
@@ -96,5 +96,5 @@
        "  Interaction blup {}" +
        "  Interaction bli {}" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
   
     // now test with iterations of iterations
@@ -116,5 +116,5 @@
     }
     
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence1 {" +
        "  Iteration iteration1 {" +
@@ -141,5 +141,5 @@
        "    }" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
   
   }
@@ -160,38 +160,38 @@
     simulateInteraction(element1, interaction2);
     simulateInteraction(element1, interaction3);
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence1 {" +
        "  Interaction bla {}" +
        "  Interaction bli {}" +
        "  Interaction blup {}" +
-       "}", getTaskTree().getTaskMap());    
-
-    simulateInteraction(element1, interaction1);
-    simulateInteraction(element1, interaction2);
-    simulateInteraction(element1, interaction3);
-    new TaskTreeChecker().assertTaskMap
-      ("Sequence sequence1 {" +
-       "  Iteration iteration1 {" +
-       "    Sequence sequence2 {" +
-       "      Interaction bla {}" +
-       "      Interaction bli {}" +
-       "      Interaction blup {}" +
-       "    }" +
-       "  }" +
-       "}", getTaskTree().getTaskMap());    
-
-    simulateInteraction(element1, interaction1);
-    simulateInteraction(element1, interaction2);
-    simulateInteraction(element1, interaction3);
-    new TaskTreeChecker().assertTaskMap
-      ("Sequence sequence1 {" +
-       "  Iteration iteration1 {" +
-       "    Sequence sequence2 {" +
-       "      Interaction bla {}" +
-       "      Interaction bli {}" +
-       "      Interaction blup {}" +
-       "    }" +
-       "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
+
+    simulateInteraction(element1, interaction1);
+    simulateInteraction(element1, interaction2);
+    simulateInteraction(element1, interaction3);
+    new TaskTreeChecker().assertTaskTree
+      ("Sequence sequence1 {" +
+       "  Iteration iteration1 {" +
+       "    Sequence sequence2 {" +
+       "      Interaction bla {}" +
+       "      Interaction bli {}" +
+       "      Interaction blup {}" +
+       "    }" +
+       "  }" +
+       "}", getTaskTree());    
+
+    simulateInteraction(element1, interaction1);
+    simulateInteraction(element1, interaction2);
+    simulateInteraction(element1, interaction3);
+    new TaskTreeChecker().assertTaskTree
+      ("Sequence sequence1 {" +
+       "  Iteration iteration1 {" +
+       "    Sequence sequence2 {" +
+       "      Interaction bla {}" +
+       "      Interaction bli {}" +
+       "      Interaction blup {}" +
+       "    }" +
+       "  }" +
+       "}", getTaskTree());    
 
     for (int i = 0; i < 10; i++)
@@ -202,14 +202,14 @@
     }
     
-    new TaskTreeChecker().assertTaskMap
-      ("Sequence sequence1 {" +
-       "  Iteration iteration1 {" +
-       "    Sequence sequence2 {" +
-       "      Interaction bla {}" +
-       "      Interaction bli {}" +
-       "      Interaction blup {}" +
-       "    }" +
-       "  }" +
-       "}", getTaskTree().getTaskMap());    
+    new TaskTreeChecker().assertTaskTree
+      ("Sequence sequence1 {" +
+       "  Iteration iteration1 {" +
+       "    Sequence sequence2 {" +
+       "      Interaction bla {}" +
+       "      Interaction bli {}" +
+       "      Interaction blup {}" +
+       "    }" +
+       "  }" +
+       "}", getTaskTree());    
     
     // now test with preceding and trailing other interactions
@@ -230,5 +230,5 @@
     simulateInteraction(element1, interaction4);
     
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence1 {" +
        "  Iteration iteration1 {" +
@@ -252,5 +252,5 @@
        "  Interaction blo {}" +
        "  Interaction ble {}" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
   
     // now test with iterations of iterations
@@ -277,5 +277,5 @@
     }
     
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence1 {" +
        "  Iteration iteration1 {" +
@@ -324,5 +324,5 @@
        "    }" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
   }
   
Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultMouseClickReductionRuleTest.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultMouseClickReductionRuleTest.java	(revision 452)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultMouseClickReductionRuleTest.java	(revision 468)
@@ -49,8 +49,8 @@
     simulateInteraction(element1, new MouseClick(leftBtn));
 
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence {" +
        "  Interaction LeftMouseClick {}" +
-       "}", getTaskTree().getTaskMap());
+       "}", getTaskTree());
     
     simulateInteraction(element1, new DummyInteraction("bla", 1));
@@ -62,5 +62,5 @@
     simulateInteraction(element1, new DummyInteraction("blu", 1));
 
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence {" +
        "  Interaction LeftMouseClick {}" +
@@ -70,5 +70,5 @@
        "  Interaction blo {}" +
        "  Interaction blu {}" +
-       "}", getTaskTree().getTaskMap());
+       "}", getTaskTree());
 
     simulateInteraction(element2, new DummyInteraction("bla", 1));
@@ -80,5 +80,5 @@
     simulateInteraction(element2, new DummyInteraction("blu", 1));
 
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  Sequence sequence1 {" +
@@ -97,5 +97,5 @@
        "    Interaction blu {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());
+       "}", getTaskTree());
 
     simulateInteraction(element1, new MouseButtonDown(leftBtn));
@@ -103,5 +103,5 @@
     simulateInteraction(element2, new MouseClick(leftBtn));
 
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  Sequence sequence1 {" +
@@ -127,5 +127,5 @@
        "    Interaction LeftMouseClick {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());
+       "}", getTaskTree());
 
     simulateInteraction(element1, new MouseButtonDown(middleBtn));
@@ -134,5 +134,5 @@
     simulateInteraction(element2, new DummyInteraction("bla", 1));
 
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  Sequence sequence1 {" +
@@ -168,5 +168,5 @@
        "    Interaction bla {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());
+       "}", getTaskTree());
 
   }
Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultTextInputReductionRuleTest.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultTextInputReductionRuleTest.java	(revision 452)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultTextInputReductionRuleTest.java	(revision 468)
@@ -40,5 +40,5 @@
     simulateInteraction(element1, new KeyPressed(VirtualKey.LETTER_A));
     simulateInteraction(element1, new KeyReleased(VirtualKey.LETTER_A));
-    new TaskTreeChecker(true).assertTaskMap
+    new TaskTreeChecker(true).assertTaskTree
       ("Sequence sequence0 {" +
        "  TextInputInteraction TextInput a {" +
@@ -46,9 +46,9 @@
        "    Interaction KeyReleased LETTER_A {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
     simulateInteraction(element1, new KeyPressed(VirtualKey.LETTER_B));
     simulateInteraction(element1, new KeyReleased(VirtualKey.LETTER_B));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  TextInputInteraction TextInput ab {" +
@@ -58,5 +58,5 @@
        "    Interaction KeyReleased LETTER_B {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
     simulateInteraction(element1, new KeyPressed(VirtualKey.SHIFT));
@@ -64,5 +64,5 @@
     simulateInteraction(element1, new KeyReleased(VirtualKey.LETTER_C));
     simulateInteraction(element1, new KeyReleased(VirtualKey.SHIFT));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  TextInputInteraction TextInput abC {" +
@@ -76,5 +76,5 @@
        "    Interaction KeyReleased SHIFT {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
     simulateInteraction(element1, new KeyPressed(VirtualKey.SHIFT));
@@ -86,5 +86,5 @@
     simulateInteraction(element1, new KeyReleased(VirtualKey.LETTER_F));
     simulateInteraction(element1, new KeyReleased(VirtualKey.SHIFT));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  TextInputInteraction TextInput abCDEF {" +
@@ -106,5 +106,5 @@
        "    Interaction KeyReleased SHIFT {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
 
@@ -115,5 +115,5 @@
     simulateInteraction(element1, new KeyReleased(VirtualKey.SHIFT));
     simulateInteraction(element1, new KeyReleased(VirtualKey.SHIFT));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  TextInputInteraction TextInput abCDEFg {" +
@@ -141,5 +141,5 @@
        "    Interaction KeyReleased SHIFT {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
   }
@@ -157,5 +157,5 @@
     simulateInteraction(element1, new KeyPressed(VirtualKey.LETTER_A));
     simulateInteraction(element1, new KeyReleased(VirtualKey.LETTER_A));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  TextInputInteraction TextInput a {" +
@@ -163,9 +163,9 @@
        "    Interaction KeyReleased LETTER_A {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
     simulateInteraction(element2, new KeyPressed(VirtualKey.LETTER_B));
     simulateInteraction(element2, new KeyReleased(VirtualKey.LETTER_B));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  Sequence sequence1 {" +
@@ -181,5 +181,5 @@
        "    }" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
     simulateInteraction(element1, new KeyPressed(VirtualKey.SHIFT));
@@ -187,5 +187,5 @@
     simulateInteraction(element1, new KeyReleased(VirtualKey.LETTER_C));
     simulateInteraction(element1, new KeyReleased(VirtualKey.SHIFT));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  Sequence sequence1 {" +
@@ -209,5 +209,5 @@
        "    }" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
     simulateInteraction(element2, new KeyPressed(VirtualKey.SHIFT));
@@ -219,5 +219,5 @@
     simulateInteraction(element2, new KeyReleased(VirtualKey.LETTER_F));
     simulateInteraction(element2, new KeyReleased(VirtualKey.SHIFT));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  Sequence sequence1 {" +
@@ -253,5 +253,5 @@
        "    }" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
 
@@ -262,5 +262,5 @@
     simulateInteraction(element1, new KeyReleased(VirtualKey.SHIFT));
     simulateInteraction(element1, new KeyReleased(VirtualKey.SHIFT));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  Sequence sequence1 {" +
@@ -306,5 +306,5 @@
        "    }" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
   }
@@ -333,5 +333,5 @@
     simulateInteraction(element1, new KeyPressed(VirtualKey.LETTER_F));
     simulateInteraction(element1, new KeyReleased(VirtualKey.LETTER_F));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  TextInputInteraction TextInput abcef {" +
@@ -351,5 +351,5 @@
        "    Interaction KeyReleased LETTER_F {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
     simulateInteraction(element1, new KeyPressed(VirtualKey.BACK_SPACE));
@@ -359,5 +359,5 @@
     simulateInteraction(element1, new KeyPressed(VirtualKey.BACK_SPACE));
     simulateInteraction(element1, new KeyReleased(VirtualKey.BACK_SPACE));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence0 {" +
        "  TextInputInteraction TextInput ab {" +
@@ -383,5 +383,5 @@
        "    Interaction KeyReleased BACK_SPACE {}" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
   }
Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/TrackBarSelectionDetectionRuleTest.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/TrackBarSelectionDetectionRuleTest.java	(revision 452)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/TrackBarSelectionDetectionRuleTest.java	(revision 468)
@@ -38,5 +38,5 @@
     GUIElement element1 = new DummyTrackBar();
     simulateInteraction(element1, new ValueSelection<Integer>(1));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence1 {" +
        "  Iteration interation1 {" +
@@ -45,8 +45,8 @@
        "    }" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
     simulateInteraction(element1, new ValueSelection<Integer>(2));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence1 {" +
        "  Iteration interation1 {" +
@@ -56,8 +56,8 @@
        "    }" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
     simulateInteraction(element1, new ValueSelection<Integer>(3));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence1 {" +
        "  Iteration interation1 {" +
@@ -68,8 +68,8 @@
        "    }" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
     simulateInteraction(element1, new ValueSelection<Integer>(2));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence1 {" +
        "  Iteration interation1 {" +
@@ -80,8 +80,8 @@
        "    }" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
 
     simulateInteraction(element1, new ValueSelection<Integer>(3));
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence1 {" +
        "  Iteration interation1 {" +
@@ -92,5 +92,5 @@
        "    }" +
        "  }" +
-       "}", getTaskTree().getTaskMap());
+       "}", getTaskTree());
 
   }
@@ -122,5 +122,5 @@
     simulateInteraction(element1, new ValueSelection<Integer>(1));
     
-    new TaskTreeChecker().assertTaskMap
+    new TaskTreeChecker().assertTaskTree
       ("Sequence sequence1 {" +
        "  Iteration interation1 {" +
@@ -153,5 +153,5 @@
        "    }" +
        "  }" +
-       "}", getTaskTree().getTaskMap());    
+       "}", getTaskTree());    
   }
   